Danger

This is a “Hazardous Materials” module. You should ONLY use it if you’re 100% absolutely sure that you know what you’re doing because this module is full of land mines, dragons, and dinosaurs with laser guns.

# Backends

## Getting a backend

`cryptography` was designed to support multiple cryptographic backends, but consumers rarely need this flexibility. Starting with version 3.1 `backend` arguments are optional and the default backend will automatically be selected if none is specified.

On older versions you can get the default backend by calling `default_backend()`.

cryptography.hazmat.backends.default_backend()
  Returns

    An object that provides at least `CipherBackend`, `HashBackend`, and `HMACBackend`.

## Individual backends

- OpenSSL backend
- Backend interfaces